[Created] (MENFORCER-313) requireUpperBoundDeps: add [<scope>] and colors to the output

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Created] (MENFORCER-313) requireUpperBoundDeps: add [<scope>] and colors to the output

JIRA jira@apache.org
Gabriel Belingueres created MENFORCER-313:
---------------------------------------------

             Summary: requireUpperBoundDeps: add [<scope>] and colors to the output
                 Key: MENFORCER-313
                 URL: https://issues.apache.org/jira/browse/MENFORCER-313
             Project: Maven Enforcer Plugin
          Issue Type: Improvement
          Components: Standard Rules
    Affects Versions: 3.0.0-M2
            Reporter: Gabriel Belingueres
         Attachments: eclipse-output.png, output.txt

Hi:

I checked the very maven-enforcer project using the new CLI functionality:

mvn org.apache.maven.plugins:maven-enforcer-plugin:3.0.0-SNAPSHOT:enforce -Drules=requireUpperBoundDeps

and found out there is a conflicting library (org.codehaus.plexus:plexus-container-default). See output.txt.

The tricky thing is that is it a transitive dependency, one with scope "compile", the other is scope "test" (which are not shown in the output). In contrast, Eclipse shows the scope and shaded fonts for the libraries with test scope (see screenshot image), which provide an easier reading.

Regards,

Gabriel



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)